Index: src/mlx/gui/callouts.py
===================================================================
--- src/mlx/gui/callouts.py	(revision 994)
+++ src/mlx/gui/callouts.py	(revision 995)
@@ -239,5 +239,5 @@
         Makes the treeview to edit the altitude in the given row."""
         if self._addingFile:
-            gobject.idle_add(self._selectFile)
+            GObject.idle_add(self._selectFile)
             self._fileList.grab_focus()
             self.grab_focus()
Index: src/mlx/gui/cef.py
===================================================================
--- src/mlx/gui/cef.py	(revision 945)
+++ src/mlx/gui/cef.py	(revision 995)
@@ -101,5 +101,5 @@
     def call(self, plan, getCredentials, updateProgress, htmlFilePath):
         """Call SimBrief with the given plan."""
-        self._timeoutID = gobject.timeout_add(120*1000, self._timedOut)
+        self._timeoutID = GObject.timeout_add(120*1000, self._timedOut)
 
         self._plan = plan
@@ -196,5 +196,5 @@
         if results!=SIMBRIEF_RESULT_NONE:
             if self._timeoutID is not None:
-                gobject.source_remove(self._timeoutID)
+                GObject.source_remove(self._timeoutID)
             self._plan = None
 
@@ -251,5 +251,5 @@
             f.write(availableInfo["plan_html"])
 
-        gobject.idle_add(self._resultsAvailable, flightInfo)
+        GObject.idle_add(self._resultsAvailable, flightInfo)
 
 #------------------------------------------------------------------------------
@@ -260,5 +260,5 @@
     _toQuit = False
 
-    gobject.threads_init()
+    GObject.threads_init()
 
     _simBriefHandler = SimBriefHandler()
@@ -297,5 +297,5 @@
     cefpython.Initialize(settings, switches)
 
-    gobject.timeout_add(10, _handleTimeout)
+    GObject.timeout_add(10, _handleTimeout)
 
     print("Initialized, executing callback...")
Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 994)
+++ src/mlx/gui/common.py	(revision 995)
@@ -416,5 +416,5 @@
 #------------------------------------------------------------------------------
 
-gobject.signal_new("integer-changed", IntegerEntry, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("integer-changed", IntegerEntry, GObject.SIGNAL_RUN_FIRST,
                    None, (object,))
 
Index: src/mlx/gui/delaycodes.py
===================================================================
--- src/mlx/gui/delaycodes.py	(revision 994)
+++ src/mlx/gui/delaycodes.py	(revision 995)
@@ -43,18 +43,18 @@
                              "The vertical scrolling policy",
                              gtk.ScrollablePolicy.MINIMUM,
-                             gobject.PARAM_READWRITE ),
+                             GObject.PARAM_READWRITE ),
         "vadjustment" : ( gtk.Adjustment,
                           "vadjustment",
                           "The vertical adjustment",
-                          gobject.PARAM_READWRITE ),
+                          GObject.PARAM_READWRITE ),
         "hscroll-policy" : ( gtk.ScrollablePolicy,
                              "hscroll-policy",
                              "The horizontal scrolling policy",
                              gtk.ScrollablePolicy.MINIMUM,
-                             gobject.PARAM_READWRITE ),
+                             GObject.PARAM_READWRITE ),
         "hadjustment" : ( gtk.Adjustment,
                           "hadjustment",
                           "The horizontal adjustment",
-                          gobject.PARAM_READWRITE )  }
+                          GObject.PARAM_READWRITE )  }
 
 
Index: src/mlx/gui/faultexplain.py
===================================================================
--- src/mlx/gui/faultexplain.py	(revision 994)
+++ src/mlx/gui/faultexplain.py	(revision 995)
@@ -114,5 +114,5 @@
 #-------------------------------------------------------------------------------
 
-gobject.signal_new("explanation-changed", FaultFrame, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("explanation-changed", FaultFrame, GObject.SIGNAL_RUN_FIRST,
                    None, (bool,))
 
@@ -297,4 +297,4 @@
 #-------------------------------------------------------------------------------
 
-gobject.signal_new("explanations-changed", FaultExplainWidget,
-                   gobject.SIGNAL_RUN_FIRST, None, (bool,))
+GObject.signal_new("explanations-changed", FaultExplainWidget,
+                   GObject.SIGNAL_RUN_FIRST, None, (bool,))
Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 994)
+++ src/mlx/gui/flight.py	(revision 995)
@@ -57,5 +57,5 @@
 #-----------------------------------------------------------------------------
 
-comboModel = gtk.ListStore(gobject.TYPE_STRING)
+comboModel = gtk.ListStore(GObject.TYPE_STRING)
 comboModel.append(("N/A",))
 comboModel.append(("VECTORS",))
@@ -878,5 +878,5 @@
     def _deleteResultCallback(self, returned, result):
         """Called when the deletion result is available."""
-        gobject.idle_add(self._handleDeleteResult, returned, result)
+        GObject.idle_add(self._handleDeleteResult, returned, result)
 
     def _handleDeleteResult(self, returned, result):
@@ -1632,5 +1632,5 @@
     def _registerResultCallback(self, returned, result):
         """Called when the registration result is available."""
-        gobject.idle_add(self._handleRegisterResult, returned, result)
+        GObject.idle_add(self._handleRegisterResult, returned, result)
 
     def _handleRegisterResult(self, returned, result):
@@ -1841,5 +1841,5 @@
         """Initiate the query of the entry exam status after the interval."""
         if not self._getEntryExamStatusCancelled:
-            gobject.timeout_add(StudentPage._entryExamStatusQueryInterval,
+            GObject.timeout_add(StudentPage._entryExamStatusQueryInterval,
                                 lambda: self._wizard.gui.webHandler. \
                                 getEntryExamStatus(self._entryExamStatusCallback))
@@ -1847,5 +1847,5 @@
     def _entryExamStatusCallback(self, returned, result):
         """Called when the entry exam status is available."""
-        gobject.idle_add(self._handleEntryExamStatus, returned, result)
+        GObject.idle_add(self._handleEntryExamStatus, returned, result)
 
     def _handleEntryExamStatus(self, returned, result):
@@ -2298,5 +2298,5 @@
     def _handleZFW(self, zfw):
         """Called when the ZFW value is retrieved."""
-        gobject.idle_add(self._processZFW, zfw)
+        GObject.idle_add(self._processZFW, zfw)
 
     def _processZFW(self, zfw):
@@ -2388,5 +2388,5 @@
     def _handleTime(self, timestamp):
         """Handle the result of a time retrieval."""
-        gobject.idle_add(self._processTime, timestamp)
+        GObject.idle_add(self._processTime, timestamp)
 
     def _processTime(self, timestamp):
@@ -2432,5 +2432,5 @@
     def _handleFuel(self, fuelData):
         """Callback for the fuel query operation."""
-        gobject.idle_add(self._processFuel, fuelData)
+        GObject.idle_add(self._processFuel, fuelData)
 
     def _processFuel(self, fuelData):
@@ -3547,9 +3547,9 @@
             self._wizard.gui.simulator.setFuelLevel([(fuelTank.fuelTank,
                                                       currentLevel)])
-            gobject.timeout_add(50, self._pump)
+            GObject.timeout_add(50, self._pump)
 
     def _notamsCallback(self, returned, result):
         """Callback for the NOTAMs."""
-        gobject.idle_add(self._handleNOTAMs, returned, result)
+        GObject.idle_add(self._handleNOTAMs, returned, result)
 
     def _handleNOTAMs(self, returned, result):
@@ -3570,5 +3570,5 @@
     def _metarsCallback(self, returned, result):
         """Callback for the METARs."""
-        gobject.idle_add(self._handleMETARs, returned, result)
+        GObject.idle_add(self._handleMETARs, returned, result)
 
     def _handleMETARs(self, returned, result):
@@ -5338,5 +5338,5 @@
     def _checkFlightPassedSetCallback(self, returned, result):
         """Called when the check flight status has been set."""
-        gobject.idle_add(self._checkFlightPassedSet, returned, result)
+        GObject.idle_add(self._checkFlightPassedSet, returned, result)
 
     def _checkFlightPassedSet(self, returned, result):
@@ -5864,5 +5864,5 @@
     def _loginResultCallback(self, returned, result):
         """The login result callback, called in the web handler's thread."""
-        gobject.idle_add(self._handleLoginResult, returned, result)
+        GObject.idle_add(self._handleLoginResult, returned, result)
 
     def _handleLoginResult(self, returned, result):
@@ -5964,5 +5964,5 @@
     def _arrivalMETARCallback(self, returned, result):
         """Called when the METAR of the arrival airport is retrieved."""
-        gobject.idle_add(self._handleArrivalMETAR, returned, result)
+        GObject.idle_add(self._handleArrivalMETAR, returned, result)
 
     def _handleArrivalMETAR(self, returned, result):
Index: src/mlx/gui/flightlist.py
===================================================================
--- src/mlx/gui/flightlist.py	(revision 994)
+++ src/mlx/gui/flightlist.py	(revision 995)
@@ -227,8 +227,8 @@
 #-------------------------------------------------------------------------------
 
-gobject.signal_new("row-activated", FlightList, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("row-activated", FlightList, GObject.SIGNAL_RUN_FIRST,
                    None, (int,))
 
-gobject.signal_new("selection-changed", FlightList, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("selection-changed", FlightList, GObject.SIGNAL_RUN_FIRST,
                    None, (object,))
 
@@ -355,5 +355,5 @@
     def _pirepResultCallback(self, returned, result):
         """Called when the PIREP query result is available."""
-        gobject.idle_add(self._handlePIREPResult, returned, result)
+        GObject.idle_add(self._handlePIREPResult, returned, result)
 
     def _handlePIREPResult(self, returned, result):
@@ -387,5 +387,5 @@
     def _reflyResultCallback(self, returned, result):
         """Called when the refly result is available."""
-        gobject.idle_add(self._handleReflyResult, returned, result)
+        GObject.idle_add(self._handleReflyResult, returned, result)
 
     def _handleReflyResult(self, returned, result):
@@ -430,5 +430,5 @@
     def _deleteResultCallback(self, returned, result):
         """Called when the deletion result is available."""
-        gobject.idle_add(self._handleDeleteResult, returned, result)
+        GObject.idle_add(self._handleDeleteResult, returned, result)
 
     def _handleDeleteResult(self, returned, result):
@@ -741,5 +741,5 @@
     def _pirepResultCallback(self, returned, result):
         """Called when the PIREP query result is available."""
-        gobject.idle_add(self._handlePIREPResult, returned, result)
+        GObject.idle_add(self._handlePIREPResult, returned, result)
 
     def _handlePIREPResult(self, returned, result):
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 994)
+++ src/mlx/gui/gui.py	(revision 995)
@@ -63,5 +63,5 @@
     def __init__(self, programDirectory, config):
         """Construct the GUI."""
-        gobject.threads_init()
+        GObject.threads_init()
 
         self._programDirectory = programDirectory
@@ -360,5 +360,5 @@
     def takeoffAntiIceOn(self, value):
         """Set the anti-ice on indicator."""
-        gobject.idle_add(self._setTakeoffAntiIceOn, value)
+        GObject.idle_add(self._setTakeoffAntiIceOn, value)
 
     @property
@@ -400,5 +400,5 @@
     def landingAntiIceOn(self, value):
         """Set the anti-ice on indicator."""
-        gobject.idle_add(self._setLandingAntiIceOn, value)
+        GObject.idle_add(self._setLandingAntiIceOn, value)
 
     @property
@@ -470,5 +470,5 @@
     def updateDone(self):
         """Called when the update is done (and there is no need to restart)."""
-        gobject.idle_add(self._updateDone)
+        GObject.idle_add(self._updateDone)
 
     def connected(self, fsType, descriptor):
@@ -479,5 +479,5 @@
         fs.sendMessage(const.MESSAGETYPE_INFORMATION,
                        "Welcome to MAVA Logger X " + const.VERSION)
-        gobject.idle_add(self._handleConnected, fsType, descriptor)
+        GObject.idle_add(self._handleConnected, fsType, descriptor)
 
     def _handleConnected(self, fsType, descriptor):
@@ -494,5 +494,5 @@
         """Called when the connection failed."""
         self._logger.untimedMessage("Connection to the simulator failed")
-        gobject.idle_add(self._connectionFailed)
+        GObject.idle_add(self._connectionFailed)
 
     def _connectionFailed(self):
@@ -527,5 +527,5 @@
             self._flight.disconnected()
 
-        gobject.idle_add(self._disconnected)
+        GObject.idle_add(self._disconnected)
 
     def _disconnected(self):
@@ -572,5 +572,5 @@
     def _bookFlightsCallback(self, returned, result):
         """Called when the booking of flights has finished."""
-        gobject.idle_add(self._handleBookFlightsResult, returned, result)
+        GObject.idle_add(self._handleBookFlightsResult, returned, result)
 
     def _handleBookFlightsResult(self, returned, result):
@@ -653,5 +653,5 @@
     def insertFlightLogLine(self, index, timestampString, text, isFault):
         """Insert the flight log line with the given data."""
-        gobject.idle_add(self._insertFlightLogLine, index,
+        GObject.idle_add(self._insertFlightLogLine, index,
                          formatFlightLogLine(timestampString, text),
                          isFault)
@@ -668,19 +668,19 @@
     def removeFlightLogLine(self, index):
         """Remove the flight log line with the given index."""
-        gobject.idle_add(self._removeFlightLogLine, index)
+        GObject.idle_add(self._removeFlightLogLine, index)
 
     def addFault(self, id, timestampString, text):
         """Add a fault to the list of faults."""
         faultText = formatFlightLogLine(timestampString, text).strip()
-        gobject.idle_add(self._flightInfo.addFault, id, faultText)
+        GObject.idle_add(self._flightInfo.addFault, id, faultText)
 
     def updateFault(self, id, timestampString, text):
         """Update a fault in the list of faults."""
         faultText = formatFlightLogLine(timestampString, text).strip()
-        gobject.idle_add(self._flightInfo.updateFault, id, faultText)
+        GObject.idle_add(self._flightInfo.updateFault, id, faultText)
 
     def clearFault(self, id):
         """Clear a fault in the list of faults."""
-        gobject.idle_add(self._flightInfo.clearFault, id)
+        GObject.idle_add(self._flightInfo.clearFault, id)
 
     def _removeFlightLogLine(self, index):
@@ -694,6 +694,6 @@
     def check(self, flight, aircraft, logger, oldState, state):
         """Update the data."""
-        gobject.idle_add(self._monitorWindow.setData, state)
-        gobject.idle_add(self._statusbar.updateTime, state.timestamp)
+        GObject.idle_add(self._monitorWindow.setData, state)
+        GObject.idle_add(self._statusbar.updateTime, state.timestamp)
 
     def resetFlightStatus(self):
@@ -705,5 +705,5 @@
     def setStage(self, stage):
         """Set the stage of the flight."""
-        gobject.idle_add(self._setStage, stage)
+        GObject.idle_add(self._setStage, stage)
 
     def _setStage(self, stage):
@@ -721,5 +721,5 @@
     def setRating(self, rating):
         """Set the rating of the flight."""
-        gobject.idle_add(self._setRating, rating)
+        GObject.idle_add(self._setRating, rating)
 
     def _setRating(self, rating):
@@ -730,5 +730,5 @@
     def setNoGo(self, reason):
         """Set the rating of the flight to No-Go with the given reason."""
-        gobject.idle_add(self._setNoGo, reason)
+        GObject.idle_add(self._setNoGo, reason)
 
     def _setNoGo(self, reason):
@@ -760,5 +760,5 @@
     def raiseCallback(self):
         """Callback for the singleton handling code."""
-        gobject.idle_add(self.raiseMainWindow)
+        GObject.idle_add(self.raiseMainWindow)
 
     def raiseMainWindow(self):
@@ -848,5 +848,5 @@
             self._stdioText += text
 
-        gobject.idle_add(self._writeStdIO)
+        GObject.idle_add(self._writeStdIO)
 
     def beginBusy(self, message):
@@ -875,5 +875,5 @@
     def getFleetAsync(self, callback = None, force = None):
         """Get the fleet asynchronously."""
-        gobject.idle_add(self.getFleet, callback, force)
+        GObject.idle_add(self.getFleet, callback, force)
 
     def getFleet(self, callback = None, force = False, busyCallback = None):
@@ -910,5 +910,5 @@
             self._wizard.updateRTO()
         else:
-            gobject.idle_add(self.updateRTO, True)
+            GObject.idle_add(self.updateRTO, True)
 
     def rtoToggled(self, indicated):
@@ -918,5 +918,5 @@
     def _fleetResultCallback(self, returned, result):
         """Called when the fleet has been queried."""
-        gobject.idle_add(self._handleFleetResult, returned, result)
+        GObject.idle_add(self._handleFleetResult, returned, result)
 
     def _handleFleetResult(self, returned, result):
@@ -961,5 +961,5 @@
     def _updatePlaneResultCallback(self, returned, result):
         """Called when the status of a plane has been updated."""
-        gobject.idle_add(self._handleUpdatePlaneResult, returned, result)
+        GObject.idle_add(self._handleUpdatePlaneResult, returned, result)
 
     def _handleUpdatePlaneResult(self, returned, result):
@@ -1274,5 +1274,5 @@
         """Called when the current page of the notebook has changed."""
         if page_num==0:
-            gobject.idle_add(self._wizard.grabDefault)
+            GObject.idle_add(self._wizard.grabDefault)
         else:
             self._mainWindow.set_default(None)
@@ -1310,5 +1310,5 @@
     def _timetableCallback(self, returned, result):
         """Called when the timetable has been received."""
-        gobject.idle_add(self._handleTimetable, returned, result)
+        GObject.idle_add(self._handleTimetable, returned, result)
 
     def _handleTimetable(self, returned, result):
@@ -1342,5 +1342,5 @@
     def _acceptedFlightsCallback(self, returned, result):
         """Called when the accepted flights have been received."""
-        gobject.idle_add(self._handleAcceptedFlights, returned, result)
+        GObject.idle_add(self._handleAcceptedFlights, returned, result)
 
     def _handleAcceptedFlights(self, returned, result):
@@ -1428,5 +1428,5 @@
     def _pirepUpdatedCallback(self, returned, result):
         """Callback for the PIREP updating result."""
-        gobject.idle_add(self._handlePIREPUpdated, returned, result)
+        GObject.idle_add(self._handlePIREPUpdated, returned, result)
 
     def _handlePIREPUpdated(self, returned, result):
@@ -1650,5 +1650,5 @@
     def _pirepSentCallback(self, returned, result):
         """Callback for the PIREP sending result."""
-        gobject.idle_add(self._handlePIREPSent, returned, result)
+        GObject.idle_add(self._handlePIREPSent, returned, result)
 
     def _handlePIREPSent(self, returned, result):
@@ -1717,5 +1717,5 @@
     def _bugReportSentCallback(self, returned, result):
         """Callback function for the bug report sending result."""
-        gobject.idle_add(self._handleBugReportSent, returned, result)
+        GObject.idle_add(self._handleBugReportSent, returned, result)
 
     def _handleBugReportSent(self, returned, result):
@@ -1859,5 +1859,5 @@
             self._credentialsAvailable = False
 
-            gobject.idle_add(self._getCredentials)
+            GObject.idle_add(self._getCredentials)
 
             while not self._credentialsAvailable:
Index: src/mlx/gui/prefs.py
===================================================================
--- src/mlx/gui/prefs.py	(revision 954)
+++ src/mlx/gui/prefs.py	(revision 995)
@@ -161,5 +161,5 @@
 #------------------------------------------------------------------------------
 
-gobject.signal_new("hotkey-changed", Hotkey, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("hotkey-changed", Hotkey, GObject.SIGNAL_RUN_FIRST,
                    None, (int,))
 
Index: src/mlx/gui/timetable.py
===================================================================
--- src/mlx/gui/timetable.py	(revision 994)
+++ src/mlx/gui/timetable.py	(revision 995)
@@ -244,8 +244,8 @@
 #-----------------------------------------------------------------------------
 
-gobject.signal_new("row-activated", Timetable, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("row-activated", Timetable, GObject.SIGNAL_RUN_FIRST,
                    None, (int,))
 
-gobject.signal_new("selection-changed", Timetable, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("selection-changed", Timetable, GObject.SIGNAL_RUN_FIRST,
                    None, (object,))
 
@@ -300,5 +300,5 @@
             return True
 
-gobject.signal_new("date-selected", CalendarWindow, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("date-selected", CalendarWindow, GObject.SIGNAL_RUN_FIRST,
                    None, ())
 
Index: src/mlx/gui/update.py
===================================================================
--- src/mlx/gui/update.py	(revision 994)
+++ src/mlx/gui/update.py	(revision 995)
@@ -117,13 +117,13 @@
     def run(self):
         """Execute the thread's operation."""
-        gobject.idle_add(self._startUpdate)
+        GObject.idle_add(self._startUpdate)
         update(self._programDirectory, self._updateURL, self, fromGUI = True)
         if not self._waitAfterFinish:
-            gobject.idle_add(self._progressWindow.hide)
+            GObject.idle_add(self._progressWindow.hide)
             self._gui.updateDone()
 
     def downloadingManifest(self):
         """Called when the downloading of the manifest has started."""
-        gobject.idle_add(self._downloadingManifest)
+        GObject.idle_add(self._downloadingManifest)
 
     def _downloadingManifest(self):
@@ -134,5 +134,5 @@
     def downloadedManifest(self):
         """Called when the downloading of the manifest has finished."""
-        gobject.idle_add(self._downloadedManifest)
+        GObject.idle_add(self._downloadedManifest)
 
     def _downloadedManifest(self):
@@ -144,5 +144,5 @@
         """Called when the program is interested in whether we want to run a
         program with administrator rights to do the update."""
-        gobject.idle_add(self._needSudo)
+        GObject.idle_add(self._needSudo)
         with self._sudoCondition:
             while self._sudoReply is None:
@@ -184,5 +184,5 @@
         """Called when a certain number of bytes are downloaded."""
         self._downloaded = downloaded
-        gobject.idle_add(self._setDownloaded, downloaded)
+        GObject.idle_add(self._setDownloaded, downloaded)
 
     def _setDownloaded(self, downloaded):
@@ -194,5 +194,5 @@
     def startRenaming(self):
         """Called when the renaming of files has started."""
-        gobject.idle_add(self._startRenaming)
+        GObject.idle_add(self._startRenaming)
 
     def _startRenaming(self):
@@ -203,5 +203,5 @@
         """Called when a file has been renamed."""
         self._numModifiedOrNew = count
-        gobject.idle_add(self._renamed, path, count)
+        GObject.idle_add(self._renamed, path, count)
 
     def _renamed(self, path, count):
@@ -212,5 +212,5 @@
     def startRemoving(self):
         """Called when the removing of files has started."""
-        gobject.idle_add(self._startRemoving)
+        GObject.idle_add(self._startRemoving)
 
     def _startRemoving(self):
@@ -221,5 +221,5 @@
         """Called when a file has been removed."""
         self._numRemoved = count
-        gobject.idle_add(self._removed, path, count)
+        GObject.idle_add(self._removed, path, count)
 
     def _removed(self, path, count):
@@ -230,5 +230,5 @@
     def writingManifest(self):
         """Called when the writing of the new manifest file has started."""
-        gobject.idle_add(self._writingManifest)
+        GObject.idle_add(self._writingManifest)
 
     def _writingManifest(self):
@@ -238,5 +238,5 @@
     def done(self):
         """Called when the update has been done."""
-        gobject.idle_add(self._done)
+        GObject.idle_add(self._done)
         self._restart = self._waitAfterFinish
 
@@ -261,5 +261,5 @@
         """Called when the downloading has failed."""
         self._waitAfterFinish = True
-        gobject.idle_add(self._failed, what)
+        GObject.idle_add(self._failed, what)
 
     def _failed(self, what):
Index: src/mlx/gui/weighthelp.py
===================================================================
--- src/mlx/gui/weighthelp.py	(revision 994)
+++ src/mlx/gui/weighthelp.py	(revision 995)
@@ -466,5 +466,5 @@
     def _handleWeights(self, dow, payload, zfw, grossWeight):
         """Handle the given weights."""
-        gobject.idle_add(self._processWeights, dow, payload, zfw, grossWeight)
+        GObject.idle_add(self._processWeights, dow, payload, zfw, grossWeight)
 
     def _processWeights(self, dow, payload, zfw, grossWeight):