Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 995)
+++ src/mlx/gui/gui.py	(revision 996)
@@ -108,5 +108,5 @@
         """Build the GUI."""
 
-        self._mainWindow = window = gtk.Window()
+        self._mainWindow = window = Gtk.Window()
         if os.name!="nt":
             window.set_visual(window.get_screen().lookup_visual(0x21))
@@ -118,9 +118,9 @@
         if os.name=="nt":
             window.connect("leave-notify-event", self._handleLeaveNotify)
-        accelGroup = gtk.AccelGroup()
+        accelGroup = Gtk.AccelGroup()
         window.add_accel_group(accelGroup)
         window.realize()
 
-        mainVBox = gtk.VBox()
+        mainVBox = Gtk.VBox()
         window.add(mainVBox)
 
@@ -137,9 +137,9 @@
         mainVBox.pack_start(menuBar, False, False, 0)
 
-        self._notebook = gtk.Notebook()
+        self._notebook = Gtk.Notebook()
         mainVBox.pack_start(self._notebook, True, True, 4)
 
         self._wizard = Wizard(self)
-        label = gtk.Label(xstr("tab_flight"))
+        label = Gtk.Label(xstr("tab_flight"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("tab_flight_tooltip"))
@@ -147,5 +147,5 @@
 
         self._flightInfo = FlightInfo(self)
-        label = gtk.Label(xstr("tab_flight_info"))
+        label = Gtk.Label(xstr("tab_flight_info"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("tab_flight_info_tooltip"))
@@ -154,5 +154,5 @@
 
         self._weightHelp = WeightHelp(self)
-        label = gtk.Label(xstr("tab_weight_help"))
+        label = Gtk.Label(xstr("tab_weight_help"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("tab_weight_help_tooltip"))
@@ -161,5 +161,5 @@
         (logWidget, self._logView)  = self._buildLogWidget()
         addFaultTag(self._logView.get_buffer())
-        label = gtk.Label(xstr("tab_log"))
+        label = Gtk.Label(xstr("tab_log"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("tab_log_tooltip"))
@@ -167,5 +167,5 @@
 
         self._fleetGateStatus = FleetGateStatus(self)
-        label = gtk.Label(xstr("tab_gates"))
+        label = Gtk.Label(xstr("tab_gates"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("tab_gates_tooltip"))
@@ -173,5 +173,5 @@
 
         self._acars = ACARS(self)
-        label = gtk.Label("ACARS")
+        label = Gtk.Label("ACARS")
         label.set_use_underline(True)
         self._notebook.append_page(self._acars, label)
@@ -180,5 +180,5 @@
         self._debugLogWidget.show_all()
 
-        mainVBox.pack_start(gtk.HSeparator(), False, False, 0)
+        mainVBox.pack_start(Gtk.HSeparator(), False, False, 0)
 
         self._statusbar = Statusbar(iconDirectory)
@@ -447,5 +447,5 @@
         """Get the background colour of the main window."""
         return self._mainWindow.get_style_context().\
-            get_background_color(gtk.StateFlags.NORMAL)
+            get_background_color(Gtk.StateFlags.NORMAL)
 
     def run(self):
@@ -461,5 +461,5 @@
 
         singleton.raiseCallback = self.raiseCallback
-        gtk.main()
+        Gtk.main()
         singleton.raiseCallback = None
 
@@ -501,5 +501,5 @@
         self._statusbar.updateConnection(self._connecting, self._connected)
 
-        dialog = gtk.MessageDialog(parent = self._mainWindow,
+        dialog = Gtk.MessageDialog(parent = self._mainWindow,
                                    type = MESSAGETYPE_ERROR,
                                    message_format = xstr("conn_failed"))
@@ -533,5 +533,5 @@
         self._statusbar.updateConnection(self._connecting, self._connected)
 
-        dialog = gtk.MessageDialog(type = MESSAGETYPE_ERROR,
+        dialog = Gtk.MessageDialog(type = MESSAGETYPE_ERROR,
                                    message_format = xstr("conn_broken"),
                                    parent = self._mainWindow)
@@ -591,5 +591,5 @@
     def cancelFlight(self):
         """Cancel the current file, if the user confirms it."""
-        dialog = gtk.MessageDialog(parent = self._mainWindow,
+        dialog = Gtk.MessageDialog(parent = self._mainWindow,
                                    type = MESSAGETYPE_QUESTION,
                                    message_format = xstr("cancelFlight_question"))
@@ -930,5 +930,5 @@
             self._fleet = None
 
-            dialog = gtk.MessageDialog(parent = self.mainWindow,
+            dialog = Gtk.MessageDialog(parent = self.mainWindow,
                                        type = MESSAGETYPE_ERROR,
                                        message_format = xstr("fleet_failed"))
@@ -975,5 +975,5 @@
                     self._fleetGateStatus.handleFleet(self._fleet)
         else:
-            dialog = gtk.MessageDialog(parent = self.mainWindow,
+            dialog = Gtk.MessageDialog(parent = self.mainWindow,
                                        type = MESSAGETYPE_ERROR,
                                        message_format = xstr("fleet_update_failed"))
@@ -1065,12 +1065,12 @@
     def _buildMenuBar(self, accelGroup):
         """Build the main menu bar."""
-        menuBar = gtk.MenuBar()
-
-        fileMenuItem = gtk.MenuItem(xstr("menu_file"))
-        fileMenu = gtk.Menu()
+        menuBar = Gtk.MenuBar()
+
+        fileMenuItem = Gtk.MenuItem(xstr("menu_file"))
+        fileMenu = Gtk.Menu()
         fileMenuItem.set_submenu(fileMenu)
         menuBar.append(fileMenuItem)
 
-        loadPIREPMenuItem = gtk.ImageMenuItem(gtk.STOCK_OPEN)
+        loadPIREPMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_OPEN)
         loadPIREPMenuItem.set_use_stock(True)
         loadPIREPMenuItem.set_label(xstr("menu_file_loadPIREP"))
@@ -1081,7 +1081,7 @@
         fileMenu.append(loadPIREPMenuItem)
 
-        fileMenu.append(gtk.SeparatorMenuItem())
-
-        quitMenuItem = gtk.ImageMenuItem(gtk.STOCK_QUIT)
+        fileMenu.append(Gtk.SeparatorMenuItem())
+
+        quitMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_QUIT)
         quitMenuItem.set_use_stock(True)
         quitMenuItem.set_label(xstr("menu_file_quit"))
@@ -1092,11 +1092,11 @@
         fileMenu.append(quitMenuItem)
 
-        toolsMenuItem = gtk.MenuItem(xstr("menu_tools"))
-        toolsMenu = gtk.Menu()
+        toolsMenuItem = Gtk.MenuItem(xstr("menu_tools"))
+        toolsMenu = Gtk.Menu()
         toolsMenuItem.set_submenu(toolsMenu)
         menuBar.append(toolsMenuItem)
 
         self._timetableMenuItem = timetableMenuItem = \
-          gtk.ImageMenuItem(gtk.STOCK_INDENT)
+          Gtk.ImageMenuItem(Gtk.STOCK_INDENT)
         timetableMenuItem.set_use_stock(True)
         timetableMenuItem.set_label(xstr("menu_tools_timetable"))
@@ -1109,5 +1109,5 @@
 
         self._flightsMenuItem = flightsMenuItem = \
-          gtk.ImageMenuItem(gtk.STOCK_SPELL_CHECK)
+          Gtk.ImageMenuItem(Gtk.STOCK_SPELL_CHECK)
         flightsMenuItem.set_use_stock(True)
         flightsMenuItem.set_label(xstr("menu_tools_flights"))
@@ -1119,5 +1119,5 @@
         toolsMenu.append(flightsMenuItem)
 
-        checklistMenuItem = gtk.ImageMenuItem(gtk.STOCK_APPLY)
+        checklistMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_APPLY)
         checklistMenuItem.set_use_stock(True)
         checklistMenuItem.set_label(xstr("menu_tools_chklst"))
@@ -1128,5 +1128,5 @@
         toolsMenu.append(checklistMenuItem)
 
-        approachCalloutsMenuItem = gtk.ImageMenuItem(gtk.STOCK_EDIT)
+        approachCalloutsMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_EDIT)
         approachCalloutsMenuItem.set_use_stock(True)
         approachCalloutsMenuItem.set_label(xstr("menu_tools_callouts"))
@@ -1137,5 +1137,5 @@
         toolsMenu.append(approachCalloutsMenuItem)
 
-        prefsMenuItem = gtk.ImageMenuItem(gtk.STOCK_PREFERENCES)
+        prefsMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_PREFERENCES)
         prefsMenuItem.set_use_stock(True)
         prefsMenuItem.set_label(xstr("menu_tools_prefs"))
@@ -1146,7 +1146,7 @@
         toolsMenu.append(prefsMenuItem)
 
-        toolsMenu.append(gtk.SeparatorMenuItem())
-
-        bugReportMenuItem = gtk.ImageMenuItem(gtk.STOCK_PASTE)
+        toolsMenu.append(Gtk.SeparatorMenuItem())
+
+        bugReportMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_PASTE)
         bugReportMenuItem.set_use_stock(True)
         bugReportMenuItem.set_label(xstr("menu_tools_bugreport"))
@@ -1157,10 +1157,10 @@
         toolsMenu.append(bugReportMenuItem)
 
-        viewMenuItem = gtk.MenuItem(xstr("menu_view"))
-        viewMenu = gtk.Menu()
+        viewMenuItem = Gtk.MenuItem(xstr("menu_view"))
+        viewMenu = Gtk.Menu()
         viewMenuItem.set_submenu(viewMenu)
         menuBar.append(viewMenuItem)
 
-        self._showMonitorMenuItem = gtk.CheckMenuItem()
+        self._showMonitorMenuItem = Gtk.CheckMenuItem()
         self._showMonitorMenuItem.set_label(xstr("menu_view_monitor"))
         self._showMonitorMenuItem.set_use_underline(True)
@@ -1172,5 +1172,5 @@
         viewMenu.append(self._showMonitorMenuItem)
 
-        showDebugMenuItem = gtk.CheckMenuItem()
+        showDebugMenuItem = Gtk.CheckMenuItem()
         showDebugMenuItem.set_label(xstr("menu_view_debug"))
         showDebugMenuItem.set_use_underline(True)
@@ -1182,10 +1182,10 @@
         viewMenu.append(showDebugMenuItem)
 
-        helpMenuItem = gtk.MenuItem(xstr("menu_help"))
-        helpMenu = gtk.Menu()
+        helpMenuItem = Gtk.MenuItem(xstr("menu_help"))
+        helpMenu = Gtk.Menu()
         helpMenuItem.set_submenu(helpMenu)
         menuBar.append(helpMenuItem)
 
-        manualMenuItem = gtk.ImageMenuItem(gtk.STOCK_HELP)
+        manualMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_HELP)
         manualMenuItem.set_use_stock(True)
         manualMenuItem.set_label(xstr("menu_help_manual"))
@@ -1196,7 +1196,7 @@
         helpMenu.append(manualMenuItem)
 
-        helpMenu.append(gtk.SeparatorMenuItem())
-
-        aboutMenuItem = gtk.ImageMenuItem(gtk.STOCK_ABOUT)
+        helpMenu.append(Gtk.SeparatorMenuItem())
+
+        aboutMenuItem = Gtk.ImageMenuItem(Gtk.STOCK_ABOUT)
         aboutMenuItem.set_use_stock(True)
         aboutMenuItem.set_label(xstr("menu_help_about"))
@@ -1212,5 +1212,5 @@
         """Toggle the debug log."""
         if menuItem.get_active():
-            label = gtk.Label(xstr("tab_debug_log"))
+            label = Gtk.Label(xstr("tab_debug_log"))
             label.set_use_underline(True)
             label.set_tooltip_text(xstr("tab_debug_log_tooltip"))
@@ -1222,20 +1222,20 @@
     def _buildLogWidget(self):
         """Build the widget for the log."""
-        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
 
         alignment.set_padding(padding_top = 8, padding_bottom = 8,
                               padding_left = 16, padding_right = 16)
 
-        logScroller = gtk.ScrolledWindow()
+        logScroller = Gtk.ScrolledWindow()
         # FIXME: these should be constants in common
-        logScroller.set_policy(gtk.PolicyType.AUTOMATIC,
-                               gtk.PolicyType.AUTOMATIC)
-        logScroller.set_shadow_type(gtk.ShadowType.IN)
-        logView = gtk.TextView()
+        logScroller.set_policy(Gtk.PolicyType.AUTOMATIC,
+                               Gtk.PolicyType.AUTOMATIC)
+        logScroller.set_shadow_type(Gtk.ShadowType.IN)
+        logView = Gtk.TextView()
         logView.set_editable(False)
         logView.set_cursor_visible(False)
         logScroller.add(logView)
 
-        logBox = gtk.VBox()
+        logBox = Gtk.VBox()
         logBox.pack_start(logScroller, True, True, 0)
         logBox.set_size_request(-1, 200)
@@ -1256,5 +1256,5 @@
             result=RESPONSETYPE_YES
         else:
-            dialog = gtk.MessageDialog(parent = self._mainWindow,
+            dialog = Gtk.MessageDialog(parent = self._mainWindow,
                                        type = MESSAGETYPE_QUESTION,
                                        message_format = xstr("quit_question"))
@@ -1269,5 +1269,5 @@
         if result==RESPONSETYPE_YES:
             self._statusIcon.destroy()
-            return gtk.main_quit()
+            return Gtk.main_quit()
 
     def _notebookPageSwitch(self, notebook, page, page_num):
@@ -1323,5 +1323,5 @@
             self._timetableWindow.show_all()
         else:
-            dialog = gtk.MessageDialog(parent = self.mainWindow,
+            dialog = Gtk.MessageDialog(parent = self.mainWindow,
                                        type = MESSAGETYPE_ERROR,
                                        message_format = xstr("timetable_failed"))
@@ -1353,5 +1353,5 @@
             self._flightsWindow.show_all()
         else:
-            dialog = gtk.MessageDialog(parent = self.mainWindow,
+            dialog = Gtk.MessageDialog(parent = self.mainWindow,
                                        type = MESSAGETYPE_ERROR,
                                        message_format = xstr("acceptedflt_failed"))
@@ -1452,5 +1452,5 @@
 
         if type is not None:
-            dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+            dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                        type = type, message_format = messageFormat)
             dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
@@ -1483,5 +1483,5 @@
             pirep = PIREP.load(self._lastLoadedPIREP)
             if pirep is None:
-                dialog = gtk.MessageDialog(parent = self._mainWindow,
+                dialog = Gtk.MessageDialog(parent = self._mainWindow,
                                            type = MESSAGETYPE_ERROR,
                                            message_format = xstr("loadPIREP_failed"))
@@ -1511,20 +1511,20 @@
         If it is not created yet, it will be created."""
         if self._loadPIREPDialog is None:
-            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+            dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                            xstr("loadPIREP_browser_title"),
                                            action = FILE_CHOOSER_ACTION_OPEN,
-                                           buttons = (gtk.STOCK_CANCEL,
+                                           buttons = (Gtk.STOCK_CANCEL,
                                                       RESPONSETYPE_CANCEL,
-                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
+                                                      Gtk.STOCK_OK, RESPONSETYPE_OK),
                                            parent = self._mainWindow)
             dialog.set_modal(True)
 
 
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_pireps"))
             filter.add_pattern("*.pirep")
             dialog.add_filter(filter)
 
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
             filter.add_pattern("*.*")
@@ -1538,5 +1538,5 @@
         """Get a dialog displaying the main information of the flight from the
         PIREP and providing Cancel and Send buttons."""
-        dialog = gtk.Dialog(title = WINDOW_TITLE_BASE + " - " +
+        dialog = Gtk.Dialog(title = WINDOW_TITLE_BASE + " - " +
                             xstr("loadPIREP_send_title"),
                             parent = self._mainWindow,
@@ -1545,6 +1545,6 @@
         contentArea = dialog.get_content_area()
 
-        label = gtk.Label(xstr("loadPIREP_send_help"))
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        label = Gtk.Label(xstr("loadPIREP_send_help"))
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.set_padding(padding_top = 16, padding_bottom = 0,
@@ -1553,6 +1553,6 @@
         contentArea.pack_start(alignment, False, False, 8)
 
-        table = gtk.Table(5, 2)
-        tableAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        table = Gtk.Table(5, 2)
+        tableAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         tableAlignment.set_padding(padding_top = 0, padding_bottom = 32,
@@ -1565,59 +1565,59 @@
         bookedFlight = pirep.bookedFlight
 
-        label = gtk.Label("<b>" + xstr("loadPIREP_send_flightno") + "</b>")
+        label = Gtk.Label("<b>" + xstr("loadPIREP_send_flightno") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 0, 1)
 
-        label = gtk.Label(bookedFlight.callsign)
-        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = Gtk.Label(bookedFlight.callsign)
+        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 0, 1)
 
-        label = gtk.Label("<b>" + xstr("loadPIREP_send_date") + "</b>")
+        label = Gtk.Label("<b>" + xstr("loadPIREP_send_date") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 1, 2)
 
-        label = gtk.Label(str(bookedFlight.departureTime.date()))
-        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = Gtk.Label(str(bookedFlight.departureTime.date()))
+        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 1, 2)
 
-        label = gtk.Label("<b>" + xstr("loadPIREP_send_from") + "</b>")
+        label = Gtk.Label("<b>" + xstr("loadPIREP_send_from") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 2, 3)
 
-        label = gtk.Label(bookedFlight.departureICAO)
-        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = Gtk.Label(bookedFlight.departureICAO)
+        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 2, 3)
 
-        label = gtk.Label("<b>" + xstr("loadPIREP_send_to") + "</b>")
+        label = Gtk.Label("<b>" + xstr("loadPIREP_send_to") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 3, 4)
 
-        label = gtk.Label(bookedFlight.arrivalICAO)
-        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        label = Gtk.Label(bookedFlight.arrivalICAO)
+        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
         table.attach(labelAlignment, 1, 2, 3, 4)
 
-        label = gtk.Label("<b>" + xstr("loadPIREP_send_rating") + "</b>")
+        label = Gtk.Label("<b>" + xstr("loadPIREP_send_rating") + "</b>")
         label.set_use_markup(True)
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
@@ -1625,5 +1625,5 @@
 
         rating = pirep.rating
-        label = gtk.Label()
+        label = Gtk.Label()
         if rating<0:
             label.set_markup('<b><span foreground="red">NO GO</span></b>')
@@ -1631,5 +1631,5 @@
             label.set_text("%.1f %%" % (rating,))
 
-        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         labelAlignment.add(label)
@@ -1675,5 +1675,5 @@
             secondaryMarkup = xstr("sendPIREP_failed_sec")
 
-        dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+        dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                    type = type, message_format = messageFormat)
         dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
@@ -1736,5 +1736,5 @@
             secondaryMarkup = xstr("sendBugReport_error_sec")
 
-        dialog = gtk.MessageDialog(parent = self._wizard.gui._bugReportDialog,
+        dialog = Gtk.MessageDialog(parent = self._wizard.gui._bugReportDialog,
                                    type = type, message_format = messageFormat)
         dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
@@ -1810,5 +1810,5 @@
         If it does not exist yet, it will be created."""
         if self._aboutDialog is None:
-            dialog = gtk.AboutDialog()
+            dialog = Gtk.AboutDialog()
             dialog.set_transient_for(self._mainWindow)
             dialog.set_modal(True)
@@ -1914,5 +1914,5 @@
 
         if not self.config.pilotID and not self.config.password:
-            dialog = gtk.MessageDialog(parent = self._mainWindow,
+            dialog = Gtk.MessageDialog(parent = self._mainWindow,
                                        type = MESSAGETYPE_QUESTION,
                                        message_format = xstr("register_ask"))