Index: src/mlx/gui/cef.py
===================================================================
--- src/mlx/gui/cef.py	(revision 996)
+++ src/mlx/gui/cef.py	(revision 997)
@@ -323,5 +323,5 @@
     """Start a browser instance in the given container with the given URL."""
     if os.name=="nt":
-        gdk.threads_enter()
+        Gdk.threads_enter()
         ctypes.pythonapi.PyCapsule_GetPointer.restype = ctypes.c_void_p
         ctypes.pythonapi.PyCapsule_GetPointer.argtypes = \
@@ -332,5 +332,5 @@
         windowID = libgdk.gdk_win32_window_get_handle(gpointer)
         container.windowID = windowID
-        gdk.threads_leave()
+        Gdk.threads_leave()
     else:
         container.set_visual(container.get_screen().lookup_visual(0x21))
Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 996)
+++ src/mlx/gui/common.py	(revision 997)
@@ -23,5 +23,5 @@
 import gi
 gi.require_version("Gdk", "3.0")
-from gi.repository import Gdk as gdk
+from gi.repository import Gdk
 from gi.repository import GdkPixbuf as gdkPixbuf
 gi.require_version("Gtk", "3.0")
@@ -47,5 +47,5 @@
 RESPONSETYPE_CANCEL = Gtk.ResponseType.CANCEL
 ACCEL_VISIBLE = Gtk.AccelFlags.VISIBLE
-CONTROL_MASK = gdk.ModifierType.CONTROL_MASK
+CONTROL_MASK = Gdk.ModifierType.CONTROL_MASK
 DIALOG_MODAL = Gtk.DialogFlags.MODAL
 WRAP_WORD = Gtk.WrapMode.WORD
@@ -53,10 +53,10 @@
 JUSTIFY_LEFT = Gtk.Justification.LEFT
 
-CONTROL_MASK = gdk.ModifierType.CONTROL_MASK
-SHIFT_MASK = gdk.ModifierType.SHIFT_MASK
-BUTTON1_MASK = gdk.ModifierType.BUTTON1_MASK
-
-SCROLL_UP = gdk.ScrollDirection.UP
-SCROLL_DOWN = gdk.ScrollDirection.DOWN
+CONTROL_MASK = Gdk.ModifierType.CONTROL_MASK
+SHIFT_MASK = Gdk.ModifierType.SHIFT_MASK
+BUTTON1_MASK = Gdk.ModifierType.BUTTON1_MASK
+
+SCROLL_UP = Gdk.ScrollDirection.UP
+SCROLL_DOWN = Gdk.ScrollDirection.DOWN
 
 SPIN_USER_DEFINED = Gtk.SpinType.USER_DEFINED
@@ -78,11 +78,11 @@
 WEIGHT_BOLD = pango.Weight.BOLD
 
-WINDOW_STATE_ICONIFIED = gdk.WindowState.ICONIFIED
-WINDOW_STATE_WITHDRAWN = gdk.WindowState.WITHDRAWN
+WINDOW_STATE_ICONIFIED = Gdk.WindowState.ICONIFIED
+WINDOW_STATE_WITHDRAWN = Gdk.WindowState.WITHDRAWN
 
 SORT_ASCENDING = Gtk.SortType.ASCENDING
 SORT_DESCENDING = Gtk.SortType.DESCENDING
 
-EVENT_BUTTON_PRESS = gdk.EventType.BUTTON_PRESS
+EVENT_BUTTON_PRESS = Gdk.EventType.BUTTON_PRESS
 
 TREE_VIEW_COLUMN_FIXED = Gtk.TreeViewColumnSizing.FIXED
Index: src/mlx/gui/faultexplain.py
===================================================================
--- src/mlx/gui/faultexplain.py	(revision 996)
+++ src/mlx/gui/faultexplain.py	(revision 997)
@@ -283,5 +283,5 @@
         styleContext = self.get_style_context()
         if allExplained:
-            outerColour = innerColour = gdk.RGBA(red = 0.0, green=0.0,
+            outerColour = innerColour = Gdk.RGBA(red = 0.0, green=0.0,
                                                  blue=0.0, alpha=0.0)
         else:
Index: src/mlx/gui/flightlist.py
===================================================================
--- src/mlx/gui/flightlist.py	(revision 996)
+++ src/mlx/gui/flightlist.py	(revision 997)
@@ -580,5 +580,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        if gdk.keyval_name(event.keyval) == "Escape":
+        if Gdk.keyval_name(event.keyval) == "Escape":
             self.emit("delete-event", None)
             return True
@@ -763,5 +763,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        if gdk.keyval_name(event.keyval) == "Escape":
+        if Gdk.keyval_name(event.keyval) == "Escape":
             self.emit("delete-event", None)
             return True
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 996)
+++ src/mlx/gui/gui.py	(revision 997)
@@ -206,5 +206,5 @@
         self._statusIcon = StatusIcon(iconDirectory, self)
 
-        self._busyCursor = gdk.Cursor(gdk.CursorType.WATCH)
+        self._busyCursor = Gdk.Cursor(Gdk.CursorType.WATCH)
 
         self._loadPIREPDialog = None
@@ -739,5 +739,5 @@
     def _handleMainWindowState(self, window, event):
         """Hande a change in the state of the window"""
-        iconified = gdk.WindowState.ICONIFIED
+        iconified = Gdk.WindowState.ICONIFIED
 
         if (event.changed_mask&WINDOW_STATE_WITHDRAWN)!=0:
Index: src/mlx/gui/statusbar.py
===================================================================
--- src/mlx/gui/statusbar.py	(revision 996)
+++ src/mlx/gui/statusbar.py	(revision 997)
@@ -126,5 +126,5 @@
             icon = self._connGreyIcon
 
-        gdk.cairo_set_source_pixbuf(eventOrContext, icon, 0, 0)
+        Gdk.cairo_set_source_pixbuf(eventOrContext, icon, 0, 0)
         eventOrContext.paint()
 
Index: src/mlx/gui/timetable.py
===================================================================
--- src/mlx/gui/timetable.py	(revision 996)
+++ src/mlx/gui/timetable.py	(revision 997)
@@ -292,5 +292,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        keyName = gdk.keyval_name(event.keyval)
+        keyName = Gdk.keyval_name(event.keyval)
         if keyName =="Escape":
             self.emit("delete-event", None)
@@ -702,5 +702,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        if gdk.keyval_name(event.keyval) == "Escape":
+        if Gdk.keyval_name(event.keyval) == "Escape":
             self.emit("delete-event", None)
             return True