Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 455)
+++ MLXMANIFEST	(revision 457)
@@ -7,11 +7,11 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	d5f334467c1075eaecead402553f49f3
+library/gtk/_gtk.pyc	549	47d70d42eae21e74c6032ae84cb15340
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
-library/mlx/pirep.pyc	4623	f9f03fd2fb97c4db4dc14cceec339037
+library/mlx/pirep.pyc	4623	68189237ada6e14afd692f29194675a9
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
-library/mlx/gui/gui.pyc	48520	d8692b4158dd6c9313f79c823e5e556e
+library/mlx/gui/gui.pyc	48520	2819da9092529a1f823300394d3f0b7c
 library/encodings/cp737.pyc	8102	40e61988748e4ca1742a2bad43949f4e
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
@@ -22,5 +22,5 @@
 library/encodings/cp932.pyc	1638	e060301989634a7fb30ded375011cb09
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	a66f9ea054c32c2c925dc04df85d10b1
+library/gobject/_gobject.pyc	573	13c47e2c9b1ff22c82fa1138f94bb578
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 doc/manual/hu/pirepViewer.png	25089	47fd4cbd140cedcd5f972b16ef484ba0
@@ -40,5 +40,5 @@
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
 doc/manual/en/fuel.png	23882	896aa65c7a8d4fcd7710b386b96bb97c
-library/mlx/gui/info.pyc	4951	3ef369d148f1cf9aaf3f9bbe71fbe708
+library/mlx/gui/info.pyc	4951	cdb36f50aa93e2c35884a07b4d8b0ab7
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
 doc/manual/hu/fuel.png	27014	6a7764815c991f99961b39080bf9af03
@@ -73,9 +73,9 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	16582	e07cbd4f5b360e1e8e80bc8409ad242b
-library/_hashlib.pyc	549	204bc78aac128e4a95f4a74a82cb0920
+library/_hashlib.pyc	549	85f44addf6e86ff56c1043c21217c41d
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 library/share/locale/hu/LC_MESSAGES/gdk-pixbuf.mo	21895	a932ead453f04de30e348c1689a4d896
-library/mlx/gui/dcdata.pyc	16051	8cc025e3deca6c6cd713da796f0555e4
+library/mlx/gui/dcdata.pyc	16051	4892c87e6998bb6151739e7994ebe5bf
 library/mlx/gui/__init__.pyc	107	3494fc6a671a7b8a9dc72ea93948ae52
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
@@ -87,5 +87,5 @@
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
 library/_weakrefset.pyc	9290	a56e87c491c0511cd329a3c8c4cd9563
-library/mlx/flight.pyc	17303	ace721d19562b6eff07c71afde6bf180
+library/mlx/flight.pyc	17303	b9942b2863ce54ed3704e9883bf54541
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 doc/manual/en/flightSelection.png	25456	84e5574bc58ff156da71470550d540d8
@@ -114,5 +114,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/encodings/utf_16_be.pyc	1854	84a1d1465453727af051eaeeb853782f
-library/mlx/fsuipc.pyc	71818	c92b37914f5017f2c51d6553a43f2e57
+library/mlx/fsuipc.pyc	72133	bb9dc9c43ea8ebf511f4069062577720
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	24272	01e31d899c4ede823423f705c6886f30
@@ -126,5 +126,5 @@
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
-library/mlx/gui/common.pyc	10275	ffd71db66573fa0713911bd184cabf48
+library/mlx/gui/common.pyc	10275	4466f2d9547b91107ea7de9b69bcc71e
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	47588	fd83bee17f50bf3fd488d86f65563f7d
@@ -132,6 +132,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	13720	d43a6df9991d331ce8fdc9fedae514c3
-library/cairo/_cairo.pyc	561	efa24da1b4c5c8343c3dcc8f546c2c37
-library/win32file.pyc	552	07285ad5ebb30539657a025a9e8a3e95
+library/cairo/_cairo.pyc	561	cc9cb8a4064a24cef04a8a129edc4004
+library/win32file.pyc	552	e2a792eee61fb72563f73da86c462435
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -142,5 +142,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	df5b4a9a8b2098db2c48d0d70cf9e4a9
+library/bz2.pyc	534	e59fe6bdb36241510519275012597648
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -158,6 +158,6 @@
 library/mlx/gui/statusbar.pyc	4812	49946660d92b7b634740537450b63723
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	12b499d587ca9ff83b8a59ac322d2c41
-library/mlx/const.pyc	6702	742767084652c68b4488d1eabd08cc59
+mlxupdate.exe	19456	31467783c1b3ebe2b17a07b760f5ac6a
+library/mlx/const.pyc	6707	e11d9ff3e6aa26a56f1828be2f19fc3d
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -172,5 +172,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	796dc21241d70fe3534cd64b2efaedb4
+library/_ssl.pyc	537	1cb0db32b06e3ca9372bd132e4c241a5
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -192,5 +192,5 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	fccdc05b437ec7a966473f3789e088f2
+library/unicodedata.pyc	558	6fcecb75e0a3d45438f3c8b43b235948
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -223,5 +223,5 @@
 doc/manual/hu/flightInfoTab.png	22378	5f3e77393d8693fec723590daeedb50a
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	605ae609fa7b5f97421bcde6114e14fa
+library/pangocairo.pyc	555	3286993c7cd527b1e0d5df1c72e64969
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -230,5 +230,5 @@
 doc/manual/hu/connect.png	27238	50477d157c924984c224806455e8f87d
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	29032	f3af3846dd183d9a436b25f3d6872546
+library/mlx/web.pyc	29032	6dd23f897276b82ef46a40398e45ca96
 library/mlx/gui/gates.pyc	5384	e85898dc153d9e624ff663afc0575e7d
 library/email/feedparser.pyc	10682	4de6a63da8dc270c9881edb9c2f28508
@@ -236,5 +236,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	37875b7b35939e820a085f742b93f872
+library/pyuipc.pyc	543	36d2d5c3740dfe8e21fc3caa60d638af
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -260,10 +260,10 @@
 doc/manual/hu/flightSelection.png	27734	560275c030f373691ca59e99c4ba686e
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	65b8d96a84efff391b369845d449fef9
+library/win32pipe.pyc	552	a0d6186cd638718fb49119799e6e9de9
 doc/manual/hu/logTab.png	29189	d3cbae223d547919d9954fc535856298
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	605b6abc483c77b37693cfc43b9d0861
+library/win32event.pyc	555	85b44a4f42738a522ff0097d47e4e90e
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	84bad14fdbf9181bb2174c32bc3a9712
+library/gio/_gio.pyc	549	4e648e0b01c80d857604e50e631c74b3
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	25326	f83cf32e49d6de786df20885232aa1ee
@@ -285,7 +285,7 @@
 library/email/message.pyc	27764	493826f529d17f5a21080a4c98b49369
 library/encodings/mac_romanian.pyc	2756	a3b2a0892236bc80c8efe8940e33339e
-library/mlx/gui/pirep.pyc	16749	059ca39967e6144bffa9bf1588782de7
+library/mlx/gui/pirep.pyc	16749	328578f8f3b6ecdb5a4fc66a69654b43
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	ff50b6be0e893e8d70fec2337ca0034e
+library/_ctypes.pyc	546	b4e549553cf3be3d4f7b48f2340c8729
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -305,5 +305,5 @@
 library/repr.pyc	5045	82f0d89c685c3dacd941e01e4b2f31ef
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
-library/mlx/gui/monitor.pyc	12015	9622165d861a5bfeb5a12390e9e99d4c
+library/mlx/gui/monitor.pyc	12015	6d558b1484c61348b34e48a353c8fc09
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
 library/mlx/update.pyc	16952	8fa20ca0ddd4ce5f06f70fba9bea6e83
@@ -314,8 +314,8 @@
 doc/manual/en/gatesTab.png	25611	6de724fef235fcdb11a5c960f9f40502
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	111770	aa03b575b3a4e8dcf93db21bcea3dca0
+library/mlx/gui/flight.pyc	111770	3632efc6ec9e67adebd76460bb18f556
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	37473	2e6c1fe241a9c37398e819e45c812f98
+library/mlx/acft.pyc	37473	3e6648f88ebabd4e2b695d2e49f4e79d
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
@@ -330,5 +330,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	083c7af7660b017b0402b557876e9f2e
+library/pyexpat.pyc	546	0f30688f8dac3814a6eac9ca7910e527
 doc/manual/hu/gateSelection.png	26472	aa5a7d5602ec8544d1aed25b731a2460
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -355,15 +355,15 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	3da49d9eab9f76c5b063a7d0a2406314
+library/_socket.pyc	546	835167109a0196c168b7dd10e7562ab2
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/checks.pyc	58218	93c36ddfb46bf7cc0c2f869552066b52
+library/mlx/checks.pyc	58257	dbf35ff3f3e94e5479c32f39d8a919f0
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
-library/mlx/sound.pyc	6326	af858a1336c56096e7562986043ec459
+library/mlx/sound.pyc	6326	33443e15039f5714339f41b355d0e30f
 doc/manual/en/pirepViewer.png	22216	326127e30fa405919b337cc9920698ed
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	764ef87e990e6c7f316addf5642761b7
+library/glib/_glib.pyc	555	f86757facd85e32db6a4e3bb463f8019
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	c1d37f21246aa9f072ffa7a1bb884d57
+library/win32api.pyc	549	eb908638a60b5da82c9212c47b0f7781
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -394,5 +394,5 @@
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
-library/mlx/pyuipc_sim.pyc	56894	fe515ee49969c0ca706fe331e5da6a1b
+library/mlx/pyuipc_sim.pyc	56894	38f9c05d6ef797a6d345174b9d6b9ead
 library/encodings/iso8859_9.pyc	2678	88880e046738ebd2012c8034416a9adf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
@@ -407,10 +407,10 @@
 library/email/iterators.pyc	2266	b8a0df35815bc00be1ed8ece42aac537
 library/encodings/hz.pyc	1614	876bb7c36683358c3e95005619b10541
-library/select.pyc	543	41817c682c7856d34af2894e225eb937
+library/select.pyc	543	ff1dfee167d49aabeafa74ee4659ceb8
 library/encodings/iso2022_jp.pyc	1683	40c2b92127f99452f84b250c2b4b2cda
 library/libgthread-2.0-0.dll	44287	7ad6f303082b382bff7bafbab246c61f
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	29918	3b72b0439191e799656171cc7dd7c019
-library/atk.pyc	534	d38da3f35a9e2a49a1751ed4dd937872
+library/atk.pyc	534	4796262a8b1b52345a59ba0faa53e5cc
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -422,7 +422,7 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	fa3e2a7eeb46f232eae0a5ba524479c3
+runmlx.exe	64000	10345b15a699aae07c3c15c2cdbe6bed
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
-library/mlx/fs.pyc	11756	d922075f799285f64abc7fc44ce10d1e
+library/mlx/fs.pyc	11756	e00d02c76fac4a787e7a5702441ea864
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
 library/inspect.pyc	38547	836f659fad54f5ee7e8f9d565003aacd
@@ -434,8 +434,8 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	58d482351b53b6356667752c78de8129
+library/pango.pyc	540	bc12badc36d786fa32f867aaf7fc8036
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab
-library/mlx/gui/delaycodes.pyc	12327	0e55510166acb290f28917f9684db8a7
+library/mlx/gui/delaycodes.pyc	12327	1ef0c40dfd726f737eafc266975298a8
 library/encodings/raw_unicode_escape.pyc	2048	8138045029da04bf45204ab756d1bcd4
 sounds/TOD.mp3	174707	92176d53d948fbfebd08c011b063179a