Index: src/mlx/fsuipc.py
===================================================================
--- src/mlx/fsuipc.py	(revision 968)
+++ src/mlx/fsuipc.py	(revision 1004)
@@ -1093,7 +1093,7 @@
             self._handler.disconnect()
 
-    def _handleNumHotkeys(self, data, xxx_todo_changeme5):
+    def _handleNumHotkeys(self, data, hotkeySet):
         """Handle the result of the query of the number of hotkeys"""
-        (id, generation) = xxx_todo_changeme5
+        (id, generation) = hotkeySet
         with self._hotkeyLock:
             if id==self._hotkeySetID and generation==self._hotkeySetGeneration:
@@ -1102,5 +1102,5 @@
                 data = [(0x3210 + i*4, "d") for i in range(0, numHotkeys)]
                 self._handler.requestRead(data, self._handleHotkeyTable,
-                                          (id, generation))
+                                          hotkeySet)
 
     def _setupHotkeys(self, data):
@@ -1145,7 +1145,7 @@
         return writeData
 
-    def _handleHotkeyTable(self, data, xxx_todo_changeme6):
+    def _handleHotkeyTable(self, data, hotkeySet):
         """Handle the result of the query of the hotkey table."""
-        (id, generation) = xxx_todo_changeme6
+        (id, generation) = hotkeySet
         with self._hotkeyLock:
             if id==self._hotkeySetID and generation==self._hotkeySetGeneration:
@@ -1153,9 +1153,9 @@
                 self._handler.requestWrite(writeData,
                                            self._handleHotkeysWritten,
-                                           (id, generation))
-
-    def _handleHotkeysWritten(self, success, xxx_todo_changeme7):
+                                           hotkeySet)
+
+    def _handleHotkeysWritten(self, success, hotkeySet):
         """Handle the result of the hotkeys having been written."""
-        (id, generation) = xxx_todo_changeme7
+        (id, generation) = hotkeySet
         with self._hotkeyLock:
             if success and id==self._hotkeySetID and \
@@ -1166,9 +1166,9 @@
                     self._handler.requestPeriodicRead(0.5, data,
                                                       self._handleHotkeys,
-                                                      (id, generation))
-
-    def _handleHotkeys(self, data, xxx_todo_changeme8):
+                                                      hotkeySet)
+
+    def _handleHotkeys(self, data, hotkeySet):
         """Handle the hotkeys."""
-        (id, generation) = xxx_todo_changeme8
+        (id, generation) = hotkeySet
         with self._hotkeyLock:
             if id!=self._hotkeySetID or generation!=self._hotkeySetGeneration:
Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 1003)
+++ src/mlx/gui/flight.py	(revision 1004)
@@ -5199,8 +5199,8 @@
         pass
 
-    def _formatTime(self, scheduledTime, realTimestamp, xxx_todo_changeme):
+    def _formatTime(self, scheduledTime, realTimestamp, warningError):
         """Format the departure or arrival time based on the given data as a
         markup for a label."""
-        (warning, error) = xxx_todo_changeme
+        (warning, error) = warningError
         realTime = time.gmtime(realTimestamp)
 
Index: src/mlx/util.py
===================================================================
--- src/mlx/util.py	(revision 929)
+++ src/mlx/util.py	(revision 1004)
@@ -43,7 +43,7 @@
 #------------------------------------------------------------------------------
 
-def getCoordinateString(xxx_todo_changeme):
+def getCoordinateString(coordinates):
     """Get the string representation of the given coordinate pair."""
-    (latitude, longitude) = xxx_todo_changeme
+    (latitude, longitude) = coordinates
     latitude_str = getLatitudeString(latitude)
     longitude_str = getLongitudeString(longitude)
Index: src/mlx/xplane.py
===================================================================
--- src/mlx/xplane.py	(revision 973)
+++ src/mlx/xplane.py	(revision 1004)
@@ -1143,7 +1143,7 @@
             self._handler.disconnect()
 
-    def _handleHotkeysRegistered(self, success, xxx_todo_changeme2):
+    def _handleHotkeysRegistered(self, success, hotkeySet):
         """Handle the result of the hotkeys having been written."""
-        (id, generation) = xxx_todo_changeme2
+        (id, generation) = hotkeySet
         with self._hotkeyLock:
             if success and id==self._hotkeySetID and \
@@ -1152,9 +1152,9 @@
                   self._handler.requestHotkeysState(0.5,
                                                     self._handleHotkeys,
-                                                    (id, generation))
-
-    def _handleHotkeys(self, data, xxx_todo_changeme3):
+                                                    hotkeySet)
+
+    def _handleHotkeys(self, data, hotkeySet):
         """Handle the hotkeys."""
-        (id, generation) = xxx_todo_changeme3
+        (id, generation) = hotkeySet
         with self._hotkeyLock:
             if id!=self._hotkeySetID or generation!=self._hotkeySetGeneration:
@@ -1753,9 +1753,8 @@
     """Model handler for the FlyJSim Dash 8-Q400."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme):
+    def doesHandle(aircraft, data):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (tailnum, author, description, notes,
-                              icao, liveryPath) = xxx_todo_changeme
+        (tailnum, author, description, notes, icao, liveryPath) = data
         return aircraft.type==const.AIRCRAFT_DH8D and \
           description.find("Dash 8 Q400")!=-1 and \
@@ -1915,9 +1914,8 @@
     """Model for Felis' Tupolev Tu-154-M aircraft."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme1):
+    def doesHandle(aircraft, data):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (tailnum, author, description, notes,
-                              icao, liveryPath) = xxx_todo_changeme1
+        (tailnum, author, description, notes, icao, liveryPath) = data
         return aircraft.type==const.AIRCRAFT_T154 and \
           author.find("Felis")!=-1 and \